### Constructor

# GimpUi VectorLoadProcedureDialog new

#### Declaration [src]

    GtkWidget*
    gimp_vector_load_procedure_dialog_new (
      GimpVectorLoadProcedure* procedure,
      GimpProcedureConfig* config,
      GimpVectorLoadData* extracted_data,
      GFile* file
    )

#### Description [src]

Creates a new dialog for `procedure` using widgets generated from properties of `config`.

`file` must be the same vector file which was passed to the `GimpRunVectorLoadFunc` implementation for your plug-in. If you pass any other file, then the preview may be wrong or not showing at all. And it is considered a programming error.

As for all `GtkWindow`, the returned `GimpProcedureDialog` object is owned by GTK and its initial reference is stored in an internal list of top-level windows. To delete the dialog, call gtk_widget_destroy().

#### Parameters

`procedure`

  Type: `GimpVectorLoadProcedure`

  The associated `GimpVectorLoadProcedure`.

  The data is owned by the caller of the function.

`config`

  Type: `GimpProcedureConfig`

  A `GimpProcedureConfig` from which properties will be turned into widgets.

  The data is owned by the caller of the function.

`extracted_data`

  Type: `GimpVectorLoadData`

  The extracted dimensions of the file to load.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  A `GFile` to load the preview from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The newly created `GimpVectorLoadProcedureDialog`.

The data is owned by the called function.